Subject: The Journey Out
From: [email-masked]
Date: Fri, 27 Oct 1995 16:05:21 -0400

To whom it may concern,

Puffin Books is publishing a new title for lesbigay teens called The
Journey Out in November.  The book gives straightforward advice about
coming out, dating and love, health issues, coping with homophobia and
harrassment, religion and politics.  It also includes extensive listings of
national and local resources, up-to-date info on gay issues, and personal
stories from gay teens.